#
# spec file for package psgml (Version 1.2.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf emacs emacs-x11 xaw3d xf86
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xdevel xf86 xshared

Name:         psgml
%define ver   1.2.2
%define tdtd tdtd.zip
Copyright:    GPL
Group:      Applications/Editors/Emacs
Requires:     emacs
Autoreqprov:  on
Summary:      Emacs Add-On to edit SGML documents
Version:      1.2.2
Release:      132
# Source: ftp://ftp.lysator.liu.se/pub/sgml/ALPHA/
Source: http://download.sourceforge.net/psgml/psgml-%{version}.tar.gz
Source1: http://home.sprynet.com/sprynet/dmeggins/psgml-dsssl.el
Source2: http://logimac.mathematik.uni-freiburg.de/mixed/psgml-ja.tgz
Source3: http://www.menteith.com/tdtd/data/tdtd.zip
Source4: http://www.iro.umontreal.ca/~pinard/fp-etc/dist/xxml/xxml.el
Source5: http://www.megginson.com/Software/psgml-xpointer.el
Source6: %{name}-README.SuSE
Source7: ke-docbook.el
Source8: suse-start-psgml.el
Patch: psgml-1.2.1.dif
Patch1: psgml-id.dif
Patch2: psgml-1.2.1-mule.patch
Patch3: psgml-emacs-21.diff
Patch4: xxml-provide.diff
BuildRoot: %{_tmppath}/%{name}-root

%description
'psgml' supports you while editing SGML documents.  It respects the context
of the used DTD (Document Type Definition) and offers the valid elements
and attributes.
Included are several helper tools: tdtd, xxml, psgml-xpointer.
For more info see README.SuSE.
Compiled for GNU Emacs (XEmacs has its own version!).

Authors:
--------
    James Clark <jjc@clark.com>
    Lennart Staflin <lenst@lysator.liu.se>
    David Megginson <dmeggins@sprynet.com>
    Matthias Clasen <mclasen@sun2.mathematik.uni-freiburg.de>

SuSE series: e

%prep
#` comment to reset Emacs coloring -ke-
%setup -q
%patch0 -p1
# %patch -P 1 -p1
%patch2 -p1
%patch3 -p1
cp -p %{SOURCE1} .
cp -p %{SOURCE4} .
%patch4 -p0
cp -p %{SOURCE5} .
%setup -q -T -D -a 2
mv psgml-jade/psgml-jade.el .
unzip -o -a %{SOURCE3}
cp -p %{SOURCE6} README.SuSE
cp -p %{SOURCE7} .
cp -p %{SOURCE8} .
# autoconf

%build
./configure --prefix=%{_prefix}
# export LC_CTYPE=ISO-8859-1
# export EMACS_UNIBYTE=1
make # emacs
echo "(add-to-list (quote load-path) (getenv \"PWD\"))" > load-psgml.el
emacs --batch --no-site -l load-psgml.el \
      -l ./tdtd-font.el \
      -f batch-byte-compile tdtd-font.el tdtd-font-maker.el tdtd.el
emacs --batch --no-site -l load-psgml.el -f batch-byte-compile xxml.el
emacs --batch --no-site -l load-psgml.el -l ./xxml.el \
      -f batch-byte-compile ke-docbook.el
emacs --batch --no-site -l load-psgml.el -f batch-byte-compile psgml-xpointer.el

%install
[ -z $RPM_BUILD_ROOT ] || rm -fr $RPM_BUILD_ROOT
# export LC_CTYPE=ISO-8859-1
# export EMACS_UNIBYTE=1
export RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml \
                 $RPM_BUILD_ROOT%{_infodir}
# to avoid timestamp problems, install .el files first.
install -p -m644 *.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml
make install prefix="$RPM_BUILD_ROOT/usr" \
             lispdir="$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml" \
             infodir="$RPM_BUILD_ROOT%{_infodir}"
make install-info prefix="$RPM_BUILD_ROOT/usr" \
                  lispdir="$RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml" \
                  infodir="$RPM_BUILD_ROOT%{_infodir}"
install -p -m644 suse-start-psgml.el \
    $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/suse-start-psgml.el
install -p -m644 iso88591.map \
    $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml/iso88591.map
install -p -m644 tdtd-font.el tdtd-font.elc \
                 tdtd-font-maker.el tdtd-font-maker.elc \
                 tdtd.el tdtd.elc \
                 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml/
install -p -m644 xxml.el xxml.elc \
    $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml/
install -p -m644 ke-docbook.el ke-docbook.elc \
    $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml/
install -p -m644 psgml-xpointer.el psgml-xpointer.elc \
    $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/psgml/
pushd $RPM_BUILD_ROOT%{_infodir}/
  gzip -9f psgml-api.info psgml.info
popd
ln -f tutorial.txt tdtd-tutorial.txt
ln -f readme.txt tdtd-readme.txt
ln -f dot_emacs tdtd.dot.emacs

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README.psgml README.SuSE
%doc psgml-jade
%doc tdtd-readme.txt tdtd-tutorial.txt tdtd.dot.emacs
%config /usr/share/emacs/site-lisp/suse-start-psgml.el
/usr/share/emacs/site-lisp/psgml
%doc %{_infodir}/psgml-api.info*
%doc %{_infodir}/psgml.info*

%changelog -n psgml
* Thu Sep 13 2001 - ke@suse.de
- Fix issues reported by Pavel JANIK (thanks) [#10504]:
  . Install tdtd-font-maker.elc.
  . suse-start-psgml.el: Init tdtd as recommended within the tdtd
  package.
  . suse-start-psgml.el: Don't set sgml-validate-command to the same
  value as done within psgml sources; add a comment how to use
  'onsgmls'.
* Mon Aug 27 2001 - ke@suse.de
- Enhance sgml-public-map to make it recognize XML flavored ISO entity
  files.
- Rename README.SuSE to psgml-README.SuSE.
* Mon Jul 16 2001 - ke@suse.de
- Update tdtd.zip (0.7.1).
- Apply 'xxml-provide.diff'.
- Add 'ke-docbook.el'; a start to fix [#9243].
- Instead of emacs.dot (was part of 'psgml-1.2.1.dif') use
  'suse-start-psgml.el' as a source file.
- Update README.SuSE.
- Fix dangling symlinks [#9391].
* Mon May 28 2001 - ro@suse.de
- added README.SuSE as Source file.
* Fri May 25 2001 - ke@suse.de
- Apply patch from emacs-21.0.104/etc/PROBLEMS.
- Start README.SuSE.
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11 to neededforbuild.
* Thu Mar 08 2001 - uli@suse.de
- added xf86 to neededforbuild
* Tue Feb 27 2001 - ke@suse.de
- Update to version 1.2.2.
* Mon Dec 18 2000 - ke@suse.de
- Fix a bug (Mule related) to make psgml work with ECAT files again;
  use a patch provided by ABE Yasushi
  (cf. http://www.geocrawler.com/lists/3/SourceForge/7085/0/4772957/).
- Move ./configure -> %%build.
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Thu Oct 12 2000 - ke@suse.de
- Fix typo in psgml-1.2.1.dif; now it compiles psgml-xpointer.el, too.
* Fri Sep 29 2000 - ke@suse.de
- Add psgml-xpointer.el.
* Thu Jul 27 2000 - ke@suse.de
- Add xxml.el.
* Mon Feb 28 2000 - kukuk@suse.de
- Move /usr/info -> /usr/share/info
* Mon Jan 10 2000 - ke@suse.de
- Update: version 1.2.1.
- Install /usr/share/emacs/site-lisp/suse-start-psgml.el.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Sep 09 1999 - bs@suse.de
- fixed call of Check at the end of %%install section
* Thu Apr 15 1999 - werner@suse.de
- Add export LC_CTYPE=ISO-8859-1 and export EMACS_UNIBYTE=1
  to build *and* install section
* Tue Nov 24 1998 - ke@suse.de
- Update: psgml-1.1.6 (alpha!).
* Fri Oct 16 1998 - ke@suse.de
- Update: psgml-1.1.4 (alpha!).
* Sun Aug 09 1998 - ke@suse.de
- Update: psgml-1.1.3 (alpha!).
* Thu Aug 06 1998 - ke@suse.de
- add the tdtd package.
* Mon Jul 27 1998 - bs@suse.de
- added export LC_CTYPE=ISO-8859-1 to build section - emacs needs it.
* Fri Jul 10 1998 - bs@suse.de
- added xaw3d to neededforbuild (ge_exec needs it)
* Sat Feb 28 1998 - ke@suse.de
- update psgml-xml: psgmlxml-19980218.
* Mon Dec 15 1997 - ke@suse.de
- add xml support: patch by David Megginson <dmeggins@sprynet.com>.
- add psgml-dsssl:  extension by David Megginson <dmeggins@sprynet.com>.
- add psgml-jade: extension by Matthias Clasen
  <mclasen@sun2.mathematik.uni-freiburg.de>.
* Thu Jun 26 1997 - Karl Eichwalder <ke@suse.de>
  * initial package: version 1.0.1
