;; You can use this setup in your ~/.emacs resp. ~/.gnu-emacs file.

(eval-after-load "psgml-parse"
	'(modify-syntax-entry ?_ "_" sgml-parser-syntax))

(add-to-list 'load-path "/usr/share/emacs/site-lisp/psgml")
(autoload 'sgml-mode "psgml" "Major mode to edit SGML files." t)
(autoload 'sgml-xpointer "psgml-xpointer" nil t)

;; (autoload 'html-mode "xxml" "Major mode to edit HTML files." t)
(autoload 'xxml-mode-routine "xxml")
(add-hook 'sgml-mode-hook 'xxml-mode-routine)
(autoload 'ke-docbook-mode "ke-docbook")

(add-hook 'sgml-mode-hook
          #'(lambda ()
              ;; (local-unset-key "\C-c\C-c")
              ;; (local-unset-key "\C-c\C-t")
              ;; (define-key sgml-mode-map "\C-c\C-c\C-c" 'sgml-show-context)
              ;; (define-key sgml-mode-map "\C-c\C-c\C-t" 'sgml-list-valid-tags)
              ;; (modify-face 'highlight "turquoise4" nil nil nil nil nil)
              ;; (modify-face 'italic "grey60" nil nil nil nil nil)
              ;; (modify-face 'bold-italic nil "grey80" nil nil nil nil)
              (auto-fill-mode t)
              (make-variable-buffer-local 'adaptive-fill-regexp)
              (setq adaptive-fill-regexp nil)
              (make-variable-buffer-local 'fill-column)
              (setq fill-column 79)
              ;; (require 'psgml-jade)
              ))

(add-to-list 'auto-mode-alist '("\\.xml\\'" . xml-mode))
(autoload 'xml-mode "psgml" nil t)

(setq sgml-xml-declaration "/usr/share/sgml/jade_dsl/xml.dcl")

(setq sgml-markup-faces
      '((start-tag . font-lock-function-name-face) ;; was 7.2: italic
        (end-tag   . font-lock-function-name-face) ;; was 7.2: italic
        (comment   . font-lock-comment-face)       ;; comment declaration
        ;; ignored      - ignored marked section
        ;; ms-end       - marked section start, if not ignored 
        ;; ms-start     - marked section end, if not ignored
        (pi 	   . bold)                      ;; processing instruction
        (sgml 	   . highlight)                 ;; SGML declaration
        (doctype   . font-lock-string-face)     ;; doctype declaration
        (entity    . font-lock-reference-face)  ;; general entity reference
        (shortref  . font-lock-builtin-face)    ;; short reference; was 7.2:
                                                ;; font-lock-function-name-face
        ))

(global-font-lock-mode t)

(setq sgml-set-face t)
(setq sgml-auto-activate-dtd t)

(setq sgml-system-path '("/usr/share/sgml/gf"
                         ;; "/usr/share/sgml/TEI/dtd"
                         "/usr/share/sgml/ISO_8879:1986")
      sgml-public-map '("%S"
                        "/usr/share/sgml/%o/%c/%d_%v"
                        "/usr/share/sgml/%o/%c/%d"))

(setq sgml-catalog-files '("CATALOG"
                           "~/sgml/CATALOG"
                           "/usr/share/sgml/CATALOG")
      sgml-ecat-files '("ECAT" "~/sgml/ECAT" "/usr/share/sgml/ECAT"))

(setq sgml-display-char-list-filename
      "/usr/share/emacs/site-lisp/psgml/iso88591.map")

;; Use onsgmls from opensp/openjade for validation
;; (setq sgml-validate-command "onsgmls -s %s %s")

;; Init tdtd (copied from the tdtd package and a little bit modified
(autoload 'dtd-mode "tdtd" "Major mode for SGML and XML DTDs." t)
(autoload 'dtd-etags "tdtd"
  "Execute etags on FILESPEC and match on DTD-specific regular expressions."
  t)
(autoload 'dtd-grep "tdtd" "Grep for PATTERN in files matching FILESPEC." t)

;; Turn on font lock when in DTD mode
(add-hook 'dtd-mode-hooks 'turn-on-font-lock)

(setq auto-mode-alist
      (append
       (list
	'("\\.dcl$" . dtd-mode)
	'("\\.dec$" . dtd-mode)
	'("\\.dtd$" . dtd-mode)
	'("\\.ele$" . dtd-mode)
	'("\\.ent$" . dtd-mode)
	'("\\.mod$" . dtd-mode))
       auto-mode-alist))

;; To use resize-minibuffer-mode, uncomment this and include in your .emacs:
;;(resize-minibuffer-mode)

;; suse-start-psgml.el ends here
